Bug 1296199 - [DOCS] Improve information on Events
[DOCS] Improve information on Events
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Ashley Hardin
Wang Haoran
Vikram Goyal
:
Depends On:
Blocks: 1267746 1296200
  Show dependency treegraph
 
Reported: 2016-01-06 10:14 EST by Eric Rich
Modified: 2016-09-07 16:07 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1296200 (view as bug list)
Environment:
Last Closed: 2016-09-07 16:07:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tnguyen: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Eric Rich 2016-01-06 10:14:42 EST
Document URL: https://docs.openshift.com/enterprise/3.1/dev_guide/events.html

Section Number and Name: Events

Describe the issue: There is NO information on what events are tracked, or what "actions" are recorded as events. 

Suggestions for improvement: 

Provide information on what actions are tracked, and what events are recorded. 

How can a user / admin trigger an event and then view it with the oc get events command. 

Additional information:
Comment 4 Thien-Thi Nguyen 2016-06-03 13:35:36 EDT
Doc plan: Add a section "Comprehensive List of Events" to the dev guide "Events" chapter, with a series of tables describing the events, one per API object type.  This section is reference material and covers all the events (hence "Comprehensive" in the name).

Maintenance implication: This table MUST be updated:
- when an API object changes its set of associated events
- when an API object that has associated events is added/deleted

Paul, could you please point me to specific source code or other resources (in repo ‘openshift/origin’) that i can read to get started piecing together these tables?  I am looking to answer the questions:
- Which API objects have associated events?
- For each event, what is its Name and Description?
Comment 6 Paul Weil 2016-06-06 11:21:14 EDT
discussed in IRC.  I think the best way to get all of these events is looking for usages of the event recorder.
Comment 7 Thien-Thi Nguyen 2016-06-06 12:58:06 EDT
The event recorders in question use interface:
https://github.com/pweil-/kubernetes/blob/5f9ee58de071515a4c8b439c9ccd048dfd728c85/pkg/client/record/event.go#L54-54
Comment 8 Thien-Thi Nguyen 2016-06-08 03:51:47 EDT
PR: https://github.com/openshift/openshift-docs/pull/2235

Moving status to MODIFIED as the PR is WIP.
Comment 10 Ashley Hardin 2016-08-29 18:33:33 EDT
Work is continued in https://github.com/openshift/openshift-docs/pull/2756
Comment 11 Wang Haoran 2016-09-05 23:19:59 EDT
PR LGTM, will mark verify after the pr merged, thanks.
Comment 12 openshift-github-bot 2016-09-06 09:13:04 EDT
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/fa0f675d2d5e71788d118777ddc08d62fa45b0bd
Bug 1296199, added Comprehensive List of Events

https://github.com/openshift/openshift-docs/commit/072bbea77824be70f1b55204277c4dc7a7f52219
Merge pull request #2756 from ahardin-rh/tnguyen-rh-PR2235

Bug 1296199, added comprehensive list of events

Note You need to log in before you can comment on or make changes to this bug.